local _src
local isSetup = false
local sound = ModPath .. "assets/sounds/debou.ogg"
function PlayerStandard:_do_action_intimidate(t, interact_type, sound_name, skip_alert)
	if isSetup == false then
        self:setup()
    end
    
    if sound_name then
		self._intimidate_t = t

        if sound_name == "f36x_any" then
            if _src ~= nil then
                _src:play()
            end
        else
                self:say_line(sound_name, skip_alert)
        end
		

		if _G.IS_VR then
			self._unit:hand():intimidate(self._interact_hand)
		end

		if interact_type and not self:_is_using_bipod() then
			self:_play_distance_interact_redirect(t, interact_type)
		end
	end
end

function PlayerStandard:setup()
    blt.xaudio.setup()
    isSetup = true
    _src = XAudio.Source:new()
    _src:set_buffer(XAudio.Buffer:new(sound))
    _src:set_volume(1)
end